<?php

declare(strict_types=1);

namespace Dedi\SyliusDpdPickUpPlugin\DependencyInjection;

use Symfony\Component\Config\Definition\Builder\TreeBuilder;
use Symfony\Component\Config\Definition\ConfigurationInterface;

final class Configuration implements ConfigurationInterface
{
    /**
     * @inheritdoc
     */
    public function getConfigTreeBuilder(): TreeBuilder
    {
        $treeBuilder = new TreeBuilder('dedi_sylius_dpd_pick_up_plugin');
        if (\method_exists($treeBuilder, 'getRootNode')) {
            $rootNode = $treeBuilder->getRootNode();
        } else {
            // BC layer for symfony/config 4.1 and older
            $rootNode = $treeBuilder->root('dedi_sylius_dpd_pick_up_plugin');
        }

        $rootNode
            ->children()
                ->scalarNode('mypudo_url')
                    ->isRequired()
                    ->cannotBeEmpty()
                    ->defaultValue('http://mypudo.pickup-services.com/mypudo/mypudo.asmx')
                ->end()
                ->scalarNode('carrier')
                    ->isRequired()
                    ->cannotBeEmpty()
                ->end()
                ->scalarNode('key')
                    ->isRequired()
                    ->cannotBeEmpty()
                ->end()
            ->end()
        ;

        return $treeBuilder;
    }
}
