<?php

declare(strict_types=1);

namespace Dedi\SyliusDpdPickUpPlugin\DependencyInjection;

use Symfony\Component\Config\FileLocator;
use Symfony\Component\DependencyInjection\ContainerBuilder;
use Symfony\Component\DependencyInjection\Extension\Extension;
use Symfony\Component\DependencyInjection\Loader\XmlFileLoader;

final class DediSyliusDpdPickUpExtension extends Extension
{
    /**
     * @inheritdoc
     */
    public function load(array $config, ContainerBuilder $container): void
    {
        $config = $this->processConfiguration($this->getConfiguration([], $container), $config);
        $loader = new XmlFileLoader($container, new FileLocator(__DIR__ . '/../Resources/config'));

        $loader->load('services.xml');

        $container->setParameter('dedi_sylius_dpd_pick_up_plugin.mypud_url', $config['mypudo_url']);
        $container->setParameter('dedi_sylius_dpd_pick_up_plugin.carrier', $config['carrier']);
        $container->setParameter('dedi_sylius_dpd_pick_up_plugin.key', $config['key']);
    }

    public function getAlias(): string
    {
        return 'dedi_sylius_dpd_pick_up_plugin';
    }
}
